NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::FlatSolidBuilder Class Reference

Represents a Flat As Solid feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::FlatSolidBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Features::SheetMetal::AeroFlatSolidBuilder

Public Types

enum  OrientationType { OrientationTypeDefault, OrientationTypeEdge, OrientationTypeCsys }
 The enum defines how to orient flat solid body. More...
 
enum  TransformComponentsOption { TransformComponentsOptionNone, TransformComponentsOptionBody, TransformComponentsOptionCsys }
 The enum defines how to represent PCB components on flat solid. More...
 

Public Member Functions

NXOpen::SectionAddedGeometry ()
 Returns the added geometry selection
Created in NX6.0.0. More...
 
bool Associative ()
 Returns the setting which decides whether the flattened solid will be associative to parent body. More...
 
bool FixAtTimestamp ()
 Returns the setting decides whether the flattened solid will be fixed at timestamp. More...
 
NXOpen::Features::SheetMetal::CornerTreatmentBuilderInnerCornerTreatment ()
 Returns the inner corner treatment corner object
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::FlatSolidBuilder::OrientationType Orientation ()
 Returns the option which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
NXOpen::CoordinateSystemOrientationCsys ()
 Returns the orientation csys This is applicable to flat solid features created (or renewed) in NX12 and later release. More...
 
NXOpen::Features::SheetMetal::CornerTreatmentBuilderOuterCornerTreatment ()
 Returns the outer corner treatment corner object
Created in NX6.0.0. More...
 
NXOpen::Point3d ReferenceVertex ()
 Returns the end of the edge where the tangent will define the x axis for flat as solid. More...
 
void SetAssociative (bool associative)
 Sets the setting which decides whether the flattened solid will be associative to parent body. More...
 
void SetFixAtTimestamp (bool fixAtTimestamp)
 Sets the setting decides whether the flattened solid will be fixed at timestamp. More...
 
void SetOrientation (NXOpen::Features::SheetMetal::FlatSolidBuilder::OrientationType orientation)
 Sets the option which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
void SetOrientationCsys (NXOpen::CoordinateSystem *csys)
 Sets the orientation csys This is applicable to flat solid features created (or renewed) in NX12 and later release. More...
 
void SetReferenceVertex (const NXOpen::Point3d &vertex)
 Sets the end of the edge where the tangent will define the x axis for flat as solid. More...
 
void SetTransformComponents (NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformComponentsOption transformComponents)
 Sets the setting indicating how to represent transformed components in flat solid. More...
 
void SetTransformRestrictionAreas (bool transformRestrictionAreas)
 Sets the setting indicating whether to transform restriction areas in flat solid. More...
 
void SetTransformToAbsoluteCsys (bool transformFlag)
 Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
NXOpen::SelectFaceStationaryFace ()
 Returns the stationary face selection
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformComponentsOption TransformComponents ()
 Returns the setting indicating how to represent transformed components in flat solid. More...
 
bool TransformRestrictionAreas ()
 Returns the setting indicating whether to transform restriction areas in flat solid. More...
 
bool TransformToAbsoluteCsys ()
 Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
int ValidateBuilderData ()
 Validate the builder data. More...
 
NXOpen::SelectEdgeXAxisEdge ()
 Returns the x axis edge selection
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Flat As Solid feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateFlatSolidFeatureBuilder
Default values.

Property Value

Associative

true

InnerCornerTreatment.TreatmentType

None

InnerCornerTreatment.UseGlobal

1

InnerCornerTreatment.Value.Value

0 (millimeters part), 0 (inches part)

TransformComponents

None

TransformRestrictionAreas

0


Created in NX4.0.0.

Member Enumeration Documentation

The enum defines how to orient flat solid body.


Created in NX12.0.0.

Enumerator
OrientationTypeDefault 

do not orient flat solid body

OrientationTypeEdge 

transform flat solid body as per orientation defined by edge

OrientationTypeCsys 

transform flat solid body as per orientation defined by CSYS

The enum defines how to represent PCB components on flat solid.


Created in NX10.0.0.

Enumerator
TransformComponentsOptionNone 

do not transform components

TransformComponentsOptionBody 

transform components as bodies

TransformComponentsOptionCsys 

transform components as CSYS

Member Function Documentation

NXOpen::Section* NXOpen::Features::SheetMetal::FlatSolidBuilder::AddedGeometry ( )

Returns the added geometry selection
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::SheetMetal::FlatSolidBuilder::Associative ( )

Returns the setting which decides whether the flattened solid will be associative to parent body.

This is applicable to flat solid features created in NX12 and later release. Cannot change during feature edit if the feature was created as non associative.


Created in NX12.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::FlatSolidBuilder::FixAtTimestamp ( )

Returns the setting decides whether the flattened solid will be fixed at timestamp.

This is applicable to flat solid features created in NX12 and later release. Cannot change during feature edit if the feature was created as fixed at timestamp.


Created in NX12.0.0.

License requirements : None

NXOpen::Features::SheetMetal::CornerTreatmentBuilder* NXOpen::Features::SheetMetal::FlatSolidBuilder::InnerCornerTreatment ( )

Returns the inner corner treatment corner object
Created in NX6.0.0.



License requirements : None

NXOpen::Features::SheetMetal::FlatSolidBuilder::OrientationType NXOpen::Features::SheetMetal::FlatSolidBuilder::Orientation ( )

Returns the option which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created (or renewed) to NX12 and later release.


Created in NX12.0.0.

License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::SheetMetal::FlatSolidBuilder::OrientationCsys ( )

Returns the orientation csys This is applicable to flat solid features created (or renewed) in NX12 and later release.


Created in NX12.0.0.

License requirements : None

NXOpen::Features::SheetMetal::CornerTreatmentBuilder* NXOpen::Features::SheetMetal::FlatSolidBuilder::OuterCornerTreatment ( )

Returns the outer corner treatment corner object
Created in NX6.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Features::SheetMetal::FlatSolidBuilder::ReferenceVertex ( )

Returns the end of the edge where the tangent will define the x axis for flat as solid.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetAssociative ( bool  associative)

Sets the setting which decides whether the flattened solid will be associative to parent body.

This is applicable to flat solid features created in NX12 and later release. Cannot change during feature edit if the feature was created as non associative.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
associativeTrue = Feature is associative, False = Feature is not associative.
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetFixAtTimestamp ( bool  fixAtTimestamp)

Sets the setting decides whether the flattened solid will be fixed at timestamp.

This is applicable to flat solid features created in NX12 and later release. Cannot change during feature edit if the feature was created as fixed at timestamp.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
fixAtTimestampTrue = Fix at Timestamp, False = Do not Fix at Timestamp.
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetOrientation ( NXOpen::Features::SheetMetal::FlatSolidBuilder::OrientationType  orientation)

Sets the option which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created (or renewed) to NX12 and later release.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
orientationorientation
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetOrientationCsys ( NXOpen::CoordinateSystem csys)

Sets the orientation csys This is applicable to flat solid features created (or renewed) in NX12 and later release.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
csyscsys
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetReferenceVertex ( const NXOpen::Point3d vertex)

Sets the end of the edge where the tangent will define the x axis for flat as solid.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
vertexOne of the end points of the reference edge.
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetTransformComponents ( NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformComponentsOption  transformComponents)

Sets the setting indicating how to represent transformed components in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.
Created in NX10.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
transformComponentstransformcomponents
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetTransformRestrictionAreas ( bool  transformRestrictionAreas)

Sets the setting indicating whether to transform restriction areas in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.
Created in NX10.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
transformRestrictionAreastransformrestrictionareas
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetTransformToAbsoluteCsys ( bool  transformFlag)

Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created before NX12 release and not yet renewed. The API can not be deprecated because it is required to edit features created before NX12 release. But user should modify automation programs written before NX12 and replace use this option with the orientation option, before using the program to create new features in NX12 or later.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
transformFlagTrue = Transform to ABS, False = Do not transform to ABS.
NXOpen::SelectFace* NXOpen::Features::SheetMetal::FlatSolidBuilder::StationaryFace ( )

Returns the stationary face selection
Created in NX6.0.0.



License requirements : None

NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformComponentsOption NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformComponents ( )

Returns the setting indicating how to represent transformed components in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.
Created in NX10.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformRestrictionAreas ( )

Returns the setting indicating whether to transform restriction areas in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.
Created in NX10.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformToAbsoluteCsys ( )

Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created before NX12 release and not yet renewed. The API can not be deprecated because it is required to edit features created before NX12 release. But user should modify automation programs written before NX12 and replace use this option with the orientation option, before using the program to create new features in NX12 or later.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

int NXOpen::Features::SheetMetal::FlatSolidBuilder::ValidateBuilderData ( )

Validate the builder data.

Returns
0 Means no errors.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::SelectEdge* NXOpen::Features::SheetMetal::FlatSolidBuilder::XAxisEdge ( )

Returns the x axis edge selection
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.